Update uptime monitor
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/uptime/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"name": "Production API",
"isActive": false
}
'import requests
url = "https://api.getmonitor.io/api/v1/uptime/{id}"
payload = {
"name": "Production API",
"isActive": False
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Production API', isActive: false})
};
fetch('https://api.getmonitor.io/api/v1/uptime/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/uptime/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production API',
'isActive' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/uptime/{id}"
payload := strings.NewReader("{\n \"name\": \"Production API\",\n \"isActive\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/uptime/{id}")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production API\",\n \"isActive\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/uptime/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production API\",\n \"isActive\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "ny4xotpq1ff8h9tjifqvr4b8",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Production API",
"type": "uptime",
"isActive": false,
"currentStatus": "unknown",
"lastEventAt": null,
"checkIntervalSeconds": null,
"createdAt": "2026-09-27T14:19:02.678Z",
"updatedAt": "2026-09-27T14:19:04.374Z",
"uptimeMonitor": {
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"targetUrl": "https://example.com",
"checkType": "UPTIME",
"expectedResponseCode": "2xx",
"followRedirects": true,
"contentAlert": "NOT_FOUND",
"content": null,
"timeout": "15 sec",
"alertSensitivity": "None",
"httpMethod": "GET",
"body": null,
"headers": [],
"username": null,
"regions": [
"us-east-1"
],
"hasPassword": false
},
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"targetUrl": "https://example.com",
"checkType": "UPTIME",
"expectedResponseCode": "2xx",
"followRedirects": true,
"contentAlert": "NOT_FOUND",
"content": null,
"timeout": "15 sec",
"alertSensitivity": "None",
"httpMethod": "GET",
"body": null,
"headers": [],
"username": null,
"regions": [
"us-east-1"
]
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Uptime
Update uptime monitor
Updates any subset of fields. Send isActive: false to pause checks.
Authentication: API key with the monitors:write scope, or a user session. Role: member, admin or owner.
PATCH
/
api
/
v1
/
uptime
/
{id}
Update uptime monitor
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/uptime/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"name": "Production API",
"isActive": false
}
'import requests
url = "https://api.getmonitor.io/api/v1/uptime/{id}"
payload = {
"name": "Production API",
"isActive": False
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Production API', isActive: false})
};
fetch('https://api.getmonitor.io/api/v1/uptime/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/uptime/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production API',
'isActive' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/uptime/{id}"
payload := strings.NewReader("{\n \"name\": \"Production API\",\n \"isActive\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/uptime/{id}")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production API\",\n \"isActive\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/uptime/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production API\",\n \"isActive\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "ny4xotpq1ff8h9tjifqvr4b8",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"name": "Production API",
"type": "uptime",
"isActive": false,
"currentStatus": "unknown",
"lastEventAt": null,
"checkIntervalSeconds": null,
"createdAt": "2026-09-27T14:19:02.678Z",
"updatedAt": "2026-09-27T14:19:04.374Z",
"uptimeMonitor": {
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"targetUrl": "https://example.com",
"checkType": "UPTIME",
"expectedResponseCode": "2xx",
"followRedirects": true,
"contentAlert": "NOT_FOUND",
"content": null,
"timeout": "15 sec",
"alertSensitivity": "None",
"httpMethod": "GET",
"body": null,
"headers": [],
"username": null,
"regions": [
"us-east-1"
],
"hasPassword": false
},
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"targetUrl": "https://example.com",
"checkType": "UPTIME",
"expectedResponseCode": "2xx",
"followRedirects": true,
"contentAlert": "NOT_FOUND",
"content": null,
"timeout": "15 sec",
"alertSensitivity": "None",
"httpMethod": "GET",
"body": null,
"headers": [],
"username": null,
"regions": [
"us-east-1"
]
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Authorizations
apiKeysession
Headers
Body
application/json
All fields are optional; only the ones sent are changed.
Response
OK